Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: PJPROJECT
Source: https://github.com/asterisk/pjproject
Comment: Currently packaging the Asterisk fork of PJProject, as it supports
 shared libraries.
 .
 The following parts of the upstream source tree were removed in the Debian
 packaging:
 * third_party/g7221 - non-distributable (requires a license from Polycom)
 * third_party/ilbc - non distributable (the version included with pjproject)
 * third_party/milenage - non distributable
 * third_party/yuv - non distributable (?)
 * third_party/BaseClasses - non distributable (?)
 * pjmedia/src/pjmedia-audiodev/s60_g729_bitstream.h - non distributable
 * Convenience code copies: gsm resample speex srtp
Files-Excluded:
 third_party/g7221
 third_party/gsm
 third_party/ilbc
 third_party/milenage
 third_party/resample
 third_party/speex
 third_party/srtp
 third_party/yuv
 third_party/BaseClasses
 pjmedia/src/pjmedia-audiodev/s60_g729_bitstream.h

Files: *
Copyright:
  1993-2006, Douglas C. Schmidt <d.schmidt@vanderbilt.edu>
  2003-2008, Benny Prijono <benny@prijono.org>
  2007-2009, Keystream AB
  2007-2009, Konftel AB
  2008-2016, Teluu Inc. <http://www.teluu.com>
  2010-2012, Regis Montoya (r3gis) <http://www.r3gis.fr>
  2011 Dan Arrhenius <dan@keystream.se>
License-Grant:
 This program is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the
 Free Software Foundation; either version 2 of the License, or (at your
 option) any later version.
License: GPL-2+
Comment:
 Some files has additional alternative licensing ignored as irrelevant
 for our redistribution.

Files: debian/*
Copyright: 2013, Tzafrir Cohen <tzafrir.cohen@xorcom.com>
License: GPL-2+

Files: pjlib-util/src/pjlib-util/crc32.c
Copyright: None
License: public-domain
 This file is partly taken from Crypto++ library
 (http://www.cryptopp.com) and
 http://www.di-mgt.com.au/crypto.html#CRC.
 .
 Since the original version of the code is put in public domain, this
 file is put on public domain as well.

Files: pjlib-util/src/pjlib-util/md5.c
Copyright: None
License: public-domain
 This code is in the public domain; do with it what you wish.

Files: pjlib-util/src/pjlib-util/sha1.c
Copyright: None
License: public-domain
 Still 100% public domain

Files:
 pjlib-util/src/pjlib-util/getopt.c
Copyright: Mike Borella <mike_borella@mw.3com.com>
  1987-1994,1996-1997, Free Software Foundation, Inc.
License: LGPL-2+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems you should find a copy of LGPL v. 2 on
 /usr/share/common-licenses/LGPL-2 .
Comment:
 pjlib-util/include/pjlib-util/getopt.h has the same license boilerplate,
 only it has a comment "this file has now become GPL" on top (comment
 removed by Upstream).

Files: pjlib/src/pj/compat/longjmp_i386.S pjlib/src/pj/compat/setjmp_i386.S
Copyright: 1995-2001, Free Software Foundation, Inc.
License: LGPL-2.1+

Files: pjmedia/src/pjmedia/alaw_ulaw.c
Copyright: Sun Microsystems, Inc.
License: Old-Sun-License
 This source code is a product of Sun Microsystems, Inc. and is provided
 for unrestricted use.  Users may copy or modify this source code without
 charge.
 .
 SUN SOURCE CODE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING
 THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 .
 Sun source code is provided with no support and without any obligation on
 the part of Sun Microsystems, Inc. to assist in its use, correction,
 modification or enhancement.
 .
 SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
 INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS SOFTWARE
 OR ANY PART THEREOF.
 .
 In no event will Sun Microsystems, Inc. be liable for any lost revenue
 or profits or other special, indirect and consequential damages, even if
 Sun has been advised of the possibility of such damages.

Files: third_party/mp3/BladeMP3EncDLL.h
Copyright: 1999-2002 A.L. Faber
License: LGPL-2.1+

Files: pjsip-apps/src/pjsua/bb10/bar-descriptor.xml
Copyright: 2011-2013, Research In Motion Limited
License-Grant:
 Licensed under the Apache License, Version 2.0 (the "License"); you may
 not use this file except in compliance with the License. You may obtain
 a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
License: Apache-2

License: GPL-2+
License-Reference: /usr/share/common-licenses/GPL-2

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems you should find a copy of LGPL v. 2 on
 /usr/share/common-licenses/LGPL-2.1 .

License: Apache-2
License-Reference: /usr/share/common-licenses/Apache-2.0
